<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=frequencydiscounts_promo<br />
 * Displays conditions page.
 *
 * @package templateSystem
 * @copyright Copyright 2007 That Software Guy
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 */
?>
<div class="centerColumn" id="frequencydiscounts_promo">
<h1 id="frequencydiscountsPromoHeading"><?php echo HEADING_TITLE; ?></h1>

<div id="frequencydiscountsPromoMainContent" class="content">
<?php
/**
 * require the html_define for the frequency discounts promo page
 */
  require($define_page);
?>
<?php 
  if (count($marketing_data) > 0) { 
     echo '<div class="content" id="frequencydiscountsDiscountList">' . "\n";
     echo '<ul>' . "\n"; 
     for ($i=0, $n=count($marketing_data); $i<$n; $i++) {
        echo '<li>'.$marketing_data[$i] . "</li>" . "\n"; 
     }
     echo '</ul>' . "\n"; 
     echo '<br /></div>'; 
     echo DISCOUNT_CALC_METHOD . '<br />';
     echo "&nbsp;&nbsp;&nbsp;";
     if ($fdiscount->period_units != 'All') { 
          echo CUTOFF_DATE . $fdiscount->lookback_date;
     } else { 
          echo CUTOFF_DATE_NONE;
     }
     echo '<br />'; 
     echo "&nbsp;&nbsp;&nbsp;";
     if ($fdiscount->period_units != 'All') { 
        if ($fdiscount->past_spend_method == 'Product Total') {
            echo FD_METHOD_PRODUCT_PURCHASES; 
        } else {
            echo FD_METHOD_ORDER_TOTALS; 
        }
     } else {
        if ($fdiscount->past_spend_method == 'Product Total') {
            echo FD_METHOD_PRODUCT_PURCHASES_ALL; 
        } else {
            echo FD_METHOD_ORDER_TOTALS_ALL; 
        }
     }
     echo '<br /><br />'; 
     if (isset($_SESSION['customer_id'])) {
        if (isset($_GET['showcalc'])) { 
          echo FD_PAST_SPEND . $currencies->format($past_spend, true, $order->info['currency'], $order->info['currency_value']); 
          echo '<br /><br />'; 
          
          echo '<table width="50%" id="fdtable">';
          echo '<tr><td>' . FD_TABLE_ID . '</td><td>' . FD_TABLE_DATE . '</td><td>' . FD_TABLE_TOTAL . '</td></tr>';
          foreach ($fd_array as $line) {
            echo "<tr><td>". $line['id'] . "</td><td>" . 
              $line['date_purchased'] . "</td><td>" . 
              $currencies->format($line['price'], true, $order->info['currency'], $order->info['currency_value']) . 
              "</td></tr>"; 
          }
          echo "</table>";
        } else {
           echo '<a href="' . zen_href_link(FILENAME_FREQUENCYDISCOUNTS_PROMO, 'showcalc=1') . '">' .  SHOWCALC. '</a>'; 
        }
     }
     echo "<br /><br />";
     echo '<br class="clearBoth" />'; 
  } else {
     echo '<div class="content" id="frequencydiscountsDiscountEmptyList">' . "\n";
     echo '<p>' . NO_FREQUENCYDISCOUNTS_DISCOUNTS . '</p>'; 
     echo '</div>' . "\n";
  }
?>
</div>

<div class="buttonRow back"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>
</div>
