<?php
/**
 * Frequency Discounts Promotion Page
 * 
 * @package page
 * @copyright Copyright 2007 That Software Guy
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 1.3 $
 */

  $_SESSION['navigation']->remove_current_page();

  require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));

// include template specific file name defines
  $define_page = zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] . '/html_includes/', FILENAME_DEFINE_FREQUENCYDISCOUNTS_PROMO, 'false');

  $breadcrumb->add(NAVBAR_TITLE);
  
  $value = "ot_frequency_discount.php";
  include_once(zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] .
          '/modules/order_total/', $value, 'false'));
  include_once(DIR_WS_MODULES . "order_total/" . $value);
  $fdiscount = new ot_frequency_discount();
  $marketing_data = array(); 
  if ($fdiscount->check() > 0) { 
     $marketing_data = $fdiscount->get_discount_info();
     $past_spend = 0;
     $fd = $fdiscount->calculate_deductions();
     if (isset($_SESSION['customer_id'])) {
        if (isset($_GET['showcalc'])) { 
           $fd_array = build_fd_array($fdiscount, $past_spend); 
        }
     }
  }

  function build_fd_array($fdiscount, &$past_spend) { 
    global $db;
    $past_spend = 0;
    $fd_array = array(); 
    if ($fdiscount->past_spend_method == 'Product Total') {
       $order_query_str = "select orders_id, date_purchased from " . TABLE_ORDERS .  " where customers_id = " . (int)$_SESSION['customer_id'];
       if ($fdiscount->period_units != 'All') { 
             $order_query_str .= " AND unix_timestamp(date_purchased) >= " . (int)$fdiscount->lookback_timestamp;
       }  
       $order_query_str .= " ORDER BY date_purchased DESC";
       $order_query = $db->Execute($order_query_str); 
       while (!$order_query->EOF) { 
           $orders_id = $order_query->fields['orders_id']; 
           $date_purchased = $order_query->fields['date_purchased']; 
           $order_price = $db->Execute("select sum(final_price * products_quantity) as order_price from " . TABLE_ORDERS_PRODUCTS . " where orders_id = " . (int) $orders_id);
           $past_spend += $order_price->fields['order_price'];
           $fd_array[] = array('id' => $orders_id, 
                               'date_purchased' => $date_purchased, 
                               'price' => $order_price->fields['order_price']);
           $order_query->MoveNext(); 
       } 
     } else {
          if ($fdiscount->period_units != 'All') { 
             $order_query_str = "SELECT order_total as order_price, orders_id, date_purchased from " . TABLE_ORDERS . " where customers_id = " . (int)$_SESSION['customer_id'] . " AND unix_timestamp(date_purchased) >= " . (int)$fdiscount->lookback_timestamp;
          } else {
             $order_query_str = "SELECT order_total as order_price, orders_id, date_purchased from " . TABLE_ORDERS . 
" where customers_id = " . (int)$_SESSION['customer_id'];
          }
          $order_query_str .= " ORDER BY date_purchased DESC";
          $order_query = $db->Execute($order_query_str); 
          while (!$order_query->EOF) { 
              $orders_id = $order_query->fields['orders_id']; 
              $date_purchased = $order_query->fields['date_purchased']; 
              $past_spend += $order_query->fields['order_price'];
              $fd_array[] = array('id' => $orders_id, 
                                  'date_purchased' => $date_purchased, 
                                  'price' => $order_query->fields['order_price']);
              $order_query->MoveNext(); 
          } 

     }
     return $fd_array;
  }
?>
